Summary:        Minizip-ng contrib in zlib-ng with the latest bug fixes and advanced features
Name:           minizip-ng
Version:        4.0.3
Release:        2%{?dist}
License:        Zlib
URL:            https://github.com/nmoinvaz/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: cmake gcc-c++
BuildRequires: libbsd-devel zlib-devel openssl-devel
BuildRequires: bzip2-devel libzstd-devel xz-devel
# minizip has been renamed to minizip-ng
Provides: minizip <= %{version}-%{release}
# provides libminizip.so.1, which conflicts with minizip-compat
Conflicts: minizip-compat

%description
Minizip-ng is a zip manipulation library written in C that is supported on Windows, macOS, and Linux.


%package devel
Summary:    Development files for %{name}
Requires:   %{name} = %{version}-%{release}
Requires:   zlib-devel
# minizip has been renamed to minizip-ng
Provides: minizip-devel <= %{version}-%{release}

%description devel
This package provides development files for %{name} library.


%prep
%autosetup -p1


%build
%cmake \
  -DMZ_BUILD_TESTS:BOOL=ON \
  -DSKIP_INSTALL_BINARIES:BOOL=ON \
  -DCMAKE_INSTALL_INCLUDEDIR=include \
  -DMZ_FORCE_FETCH_LIBS:BOOL=OFF

%cmake_build


%install
%cmake_install


%files
%license LICENSE
%doc README.md
%{_libdir}/libminizip.so.1
%{_libdir}/libminizip.so.%{version}



%files devel
%{_libdir}/libminizip.so
%{_libdir}/pkgconfig/minizip.pc
%{_libdir}/cmake/minizip/
%{_includedir}/minizip/*.h


%changelog
* Mon Jan 8 2024 wynnfeng <wynnfeng@tencent.com> - 4.0.3-2
- Conflicts with minizip-compat

* Mon Dec 11 2023 wynnfeng <wynnfeng@tencent.com> - 4.0.3-1
- Upgrade to version 4.0.3

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.7-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.7-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Wang Guodong <gordonwwang@tencent.com> - 3.0.7-1
- initial build
